<div class="block">
	
</div>
<div class="row">
	<div class="col-md-6">
		<h3>Charge</h3>	
              
        <div ng-if="transaction.Transaction.code.length > 4 && transaction.Transaction.code.substring(0,4) == 'PAY-'">
            Customer did not agree to additional charges.
        </div>

		<fieldset ng-if="(transaction.Transaction.code.constructor.name == 'Number') ||
                   (transaction.Transaction.code.length > 4 && transaction.Transaction.code.substring(0,4) != 'PAY-')">                   
                                          
                    <input type="text" placeholder="Value $x.xx" id="txtChargeValue" />		
                    <button id="btnCharge" onclick="chargeClicked()">Charge</button>                       
                    <div class="showLoad text-center" style="padding: 10px;display:none;">
                       <img src="/img/loading.gif" alt="loading" style="width:30px;"/>        
                       Sending transaction to Paypal...
                   </div>
                   <table cellpadding="10" cellspacing="10" style="width:400px;table-layout: fixed;" border="0" >
                        <colgroup>
                        <col span="1" style="width: 35%;">
                        <col span="1" style="width: 25%;">
                        <col span="1" >
                     </colgroup>
                     <thead>
                       <tr><th >Date</th><th >Amount</th><th>Paypal ID</th></tr>
                     </thead>
                     <tbody>
                       <tr ng-repeat="x in transaction.ReferenceTransaction">
                           <td style="width:100px">{{x.date_utc | date:'M/dd/yyyy'}}</td>
                           <td>{{x.amount  | currency}}</td>
                           <td>{{x.code}}</td>
                       </tr>

                     </tbody>
                   </table>
		</fieldset>
               
                 
                
	</div>
	<div class="col-md-6">
		<h3>Refund</h3>
		<fieldset>
			<input type="text" placeholder="Value $x.xx" id="txtRefundValue"/>
		</fieldset>
		<div class="refund-info block">
			
		</div>
		<fieldset>
                    <button id="btnRefund" onclick="refundClicked()">Refund</button>
                    <div id="divRefundSpinner" class="text-center" style="padding: 10px;display:none;">
                        <img src="/img/loading.gif" alt="loading" style="width:30px;"/>        
                        Sending transaction to Paypal...
                    </div>
                      <table cellpadding="10" cellspacing="10" style="width:400px;table-layout: fixed;" border="0" >
                        <colgroup>
                        <col span="1" style="width: 35%;">
                        <col span="1" style="width: 25%;">
                        <col span="1" >
                     </colgroup>
                     <thead>
                       <tr><th >Date</th><th >Amount</th><th>Paypal ID</th></tr>
                     </thead>
                     <tbody>
                       <tr ng-repeat="x in transaction.RefundTransaction">
                           <td style="width:100px">{{x.date_utc | date:'M/dd/yyyy'}}</td>
                           <td>{{x.amount  | currency}}</td>
                           <td>{{x.code}}</td>
                       </tr>
                     </tbody>
                   </table>
		</fieldset>
	</div>
</div>

<div style="clear:both;height:50px;">&nbsp;</div>

<div class="row">
    <div class="col-md-6">

        <div style="margin:10px; clear: right;" ng-repeat="sh in transaction.Shipment track by $index">
            <h4 style=" color: #EC8C3A">Package {{$index + 1}}</h4>
            Handling Fee: $7.25<br/>
            Shipping Fee: ${{sh.Package.easypost_rate_price - 7.25 | number:2}}<br/>
        </div>

        <div style="margin-right:5px; margin-top: 30px">
            Balance Due: $<input type="text" name="balance_due" ng-pattern="/^[0-9]+(\.[0-9]{1,2})?$/" id="txtBalanceDue" style="width:80px;" value="{{ editBalanceDue | number:2}}"/>
            <button id="btnSaveBalanceDue" onclick="saveBalanceDue()" style="display:inline-block;">Save</button>
        </div>


        <div id="divBalanceDueSpinner" class="text-center" style="padding: 10px;display:none;">
            <img src="/img/loading.gif" alt="loading" style="width:30px;"/>
            Saving Balance...
        </div>

    </div>
    <div class="col-md-6">

    </div>
</div>